swDepth {oce} | R Documentation

## Water depth

### Description

Compute depth from pressure and latitude.

### Usage

    swDepth(pressure, latitude=45, eos=getOption("oceEOS", default="gsw"))
    swZ(pressure, latitude=45, eos=getOption("oceEOS", default="gsw"))

### Arguments

`pressure` | either pressure [dbar], in which case `lat` must also be given, or a `ctd` object, in which case `lat` will be inferred from the object.
`latitude` | Latitude in degN or radians north of the equator.
`eos` | indication of formulation to be used, either `"unesco"` or `"gsw"`.

### Details

If `eos="unesco"` then depth is calculated from pressure using Saunders and Fofonoff's method, with the formula refitted for 1980 UNESCO equation of state [1]. If `eos="gsw"`, then `gsw_z_from_p` from the gsw package [2,3] is used.

### Value

For `swDepth`, depth below the ocean surface, in metres. For `swZ`, the negative of the depth, i.e. the distance above the surface.

### Author(s)

Dan Kelley

### References

[1] Unesco 1983. Algorithms for computation of fundamental properties of seawater, 1983. Unesco Tech. Pap. in Mar. Sci., No. 44, 53 pp.

[2] IOC, SCOR, and IAPSO (2010). The international thermodynamic equation of seawater-2010: Calculation and use of thermodynamic properties. Technical Report 56, Intergovernmental Oceanographic Commission, Manuals and Guide.

[3] McDougall, T.J. and P.M. Barker, 2011: Getting started with TEOS-10 and the Gibbs Seawater (GSW) Oceanographic Toolbox, 28pp., SCOR/IAPSO WG127, ISBN 978-0-646-55621-5.

### Examples

    d <- swDepth(10, 45)

[Package oce version 0.9-18 Index]